Package org.linphone.core

# Interface CardDavParams

public interface CardDavParams
The `CardDavParams` object represents a remote CardDAV server used by
`MagicSearch` as a plugin source.

## Method Summary

Modifier and Type
Method
Description
`CardDavParams`
`clone()`
Instantiates a new `CardDavParams` with values from source.
`String[]`
`getDomainFields()`
Deprecated.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`boolean`
`getUseExactMatchPolicy()`
Gets the matching policy: true if the remote vCard value must match the filter
exactly, false if it only needs to contain the filter.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`String[]`
`getUserInputFields()`
Gets the list of vCard RFC fields to use to match user input text on.
`void`
`setDomainFields(String[] list)`
Deprecated.
`void`
`setUseExactMatchPolicy(boolean exactMatch)`
Sets the matching policy: true if the remote vCard value must match the filter
exactly, false if it only needs to contain the filter.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`void`
`setUserInputFields(String[] list)`
Sets the list of vCard RFC fields to use to match user input text on.
`String`
`toString()`

## Method Details

### getDomainFields

@Deprecated String[] getDomainFields()
Deprecated.
Gets the list of vCard RFC fields to use to match the domain filter on.
For example, you can use "IMPP".

Returns:
  The list of vCard fields to make the query on using domain filter.
  warning: DO NOT USE ANYMORE, it won't have any effect.
  deprecated: 06/10/2025 domain filter will be applied locally instead of using a
  CardDAV prop filter XML tag.

### setDomainFields

@Deprecated void setDomainFields(String[] list)
Deprecated.
Sets the list of vCard RFC fields to use to match the domain filter on.
For example, you can use "IMPP".

Parameters:
  `list` - the list of vCard RFC fields to use to match the domain filter on.
  warning: DO NOT USE ANYMORE, it won't have any effect.
  deprecated: 06/10/2025 domain filter will be applied locally instead of using a
  CardDAV prop filter XML tag.

### getUseExactMatchPolicy

boolean getUseExactMatchPolicy()
Gets the matching policy: true if the remote vCard value must match the filter
exactly, false if it only needs to contain the filter.

Returns:
  The matching policy: true if the remote vCard value must match the
  filter exactly, false if it only needs to contain the filter.

### setUseExactMatchPolicy

void setUseExactMatchPolicy(boolean exactMatch)
Sets the matching policy: true if the remote vCard value must match the filter
exactly, false if it only needs to contain the filter.

Parameters:
  `exactMatch` - the policy to use: true if the remote vCard value must match
  the filter exactly, false if it only needs to contain the filter.

### getUserInputFields

String[] getUserInputFields()
Gets the list of vCard RFC fields to use to match user input text on.
For example, you can use "FN", "N", "IMPP", "ORG", etc...

Returns:
  The list of vCard fields to make the query on using user input.

### setUserInputFields

void setUserInputFields(String[] list)
Sets the list of vCard RFC fields to use to match user input text on.
For example, you can use "FN", "N", "IMPP", "ORG", etc...

Parameters:
  `list` - the list of vCard RFC fields to use to match user input text on.

### clone

CardDavParams clone()
Instantiates a new `CardDavParams` with values from source.

Returns:
  The newly created `CardDavParams` object.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`